package com.hz.pm.api.user.helper;

import com.hz.pm.api.user.model.dto.MhUnitDTO;

import java.util.List;

/**
 * <p>
 * MhUnitCache
 * </p>
 *
 * @author WendyYang
 * @since 11:19 2024/1/11
 */
public interface MhUnitCache {

    List<MhUnitDTO> all();

    MhUnitDTO getById(Long id);

    List<MhUnitDTO> getChildren(Long id);

    List<Long> getChildrenIds(Long id);

    List<MhUnitDTO> getChildrenRecursion(Long id);

    List<Long> getChildrenIdsRecursion(Long id);

}
